Status field in newly created categories not consistent
Status: Closed Start date: 11/02/2020

Priority: Normal Due date:  

Assignee: Giulio Di Anastasio % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

While trying to merge vegetation point layers, in Qgis an error is shown as status being of different type.

I checked all vegetation layers, and I found:

- layers created earlier have their field "Status" as QString - String

- layers I created recently have their field "Status" as double - Real

The layers with double - Real type are

V-VEGE-ALST

V-VEGE-DALB

V-VEGE-DSPY

V-VEGE-PTGT

V-VEGE-SCHL

V-VEGE-TABE

Anything I need to do? In PgAdmin I cannot due to permission

Kindly let me know

Thanks

Giulio

Associated revisions

Revision 257b2ca3 - 11/02/2020 23:34 - Philippe May

Refs #9694: change type of status of survey models

Set Varchar(1)

Revision f41894a4 - 12/02/2020 00:11 - Philippe May

Refs #9694: change type for status column

History

#1 - 11/02/2020 17:05 - Philippe May

- Assignee changed from Philippe May to Giulio Di Anastasio

- Status changed from New to Feedback

How do you plan to merge layers?

That's not part of the workflow and the consistency of the database might be impacted. Eg, what about the raw survey points?

There are differences in data types of the status columns that i'll fix.

The status column has never been a number, and i cross checked: i assume that "double - Real" is either a bug in QGis or a user error.
#2 - 11/02/2020 17:57 - Giulio Di Anastasio

Dear Philippe,

I found the difference in data types while I was trying to merge some layers (not in the database but in a geopackage I downloaded) to answer a

question coming from Island this morning.

As you wrote, it is not part of our workflow, and it will not be.

This is just to clarify your doubt.

Thanks

Giulio

#3 - 12/02/2020 00:07 - Philippe May

Made sure that the type for the status of the survey layers is consistent to varchar(1) and aligned relevant code in master and admin.

@Giulio: it's not as simple as that. There's a piece of software involved and we cannot assume that a change in the schema of the database will fix

problems even if they seem related, and won't have unwanted impacts. Hopefully the database server prevents such attempts.

I succesfully tried merging layers exported as geopackages in QGis after fixes, please retry.

#4 - 26/05/2020 14:30 - Giulio Di Anastasio

- Status changed from Feedback to Closed
